Package com.collibra.dgc.core.api.dto.job

# Class FindJobsRequest

Object
PagedRequest
FindJobsRequest

All Implemented Interfaces:
  `Serializable`

public class FindJobsRequest extends PagedRequest
Contains all search criteria for jobs.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindJobsRequest.Builder`
  `static enum`
  `FindJobsRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindJobsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindJobsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCreatedBy()`
  The ID of the user who created the searched job.
  `int`
  `getMaxVisibility()`
  Deprecated.
  Ignored, use visible instead, this will be removed in the future.
  `String`
  `getName()`
  The name of the job to search for.
  `MatchMode`
  `getNameMatchMode()`
  The match mode for the name.
  `List<JobResult>`
  `getResults()`
  The list of results which the jobs should be searched for.
  `FindJobsRequest.SortField`
  `getSortField()`
  The field that should be used as reference for sorting.
  `SortOrder`
  `getSortOrder()`
  The order of sorting.
  `List<JobState>`
  `getStates()`
  The list of states which the jobs should be searched for.
  `List<String>`
  `getTypes()`
  The list of types of the jobs.
  `Boolean`
  `getVisible()`
  The visibility of the jobs.
  `int`
  `hashCode()`
  `void`
  `setCreatedBy(UUID createdBy)`
  The ID of the user who created the searched job.
  `void`
  `setMaxVisibility(int maxVisibility)`
  Deprecated.
  Ignored, use visible instead, this will be removed in the future.
  `void`
  `setName(String name)`
  The name of the job to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode for the name.
  `void`
  `setResults(List<JobResult> results)`
  The list of results which the jobs should be searched for.
  `void`
  `setSortField(FindJobsRequest.SortField sortField)`
  The field that should be used as reference for sorting.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The order of sorting.
  `void`
  `setStates(List<JobState> states)`
  The list of states which the jobs should be searched for.
  `void`
  `setTypes(List<String> types)`
  The list of types of the jobs.
  `void`
  `setVisible(Boolean visible)`
  The visibility of the jobs.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindJobsRequest

    public FindJobsRequest()

- ## Method Details

  - ### builder

    public static FindJobsRequest.Builder builder()

  - ### getCreatedBy

    public UUID getCreatedBy()
    The ID of the user who created the searched job.

  - ### getName

    public String getName()
    The name of the job to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode for the name.

  - ### getStates

    public List<JobState> getStates()
    The list of states which the jobs should be searched for.

  - ### getResults

    public List<JobResult> getResults()
    The list of results which the jobs should be searched for.

  - ### getTypes

    public List<String> getTypes()
    The list of types of the jobs.

  - ### getMaxVisibility

    @Deprecated public int getMaxVisibility()
    Deprecated.
    Ignored, use visible instead, this will be removed in the future.
    The maximum visibility of the job. Defaults to no limit on visibility.

  - ### getVisible

    public Boolean getVisible()
    The visibility of the jobs. Defaults to all jobs (both visible and non-visible).

  - ### getSortOrder

    public SortOrder getSortOrder()
    The order of sorting.

  - ### getSortField

    public FindJobsRequest.SortField getSortField()
    The field that should be used as reference for sorting.

  - ### setCreatedBy

    public void setCreatedBy(UUID createdBy)
    The ID of the user who created the searched job.

  - ### setName

    public void setName(String name)
    The name of the job to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode for the name.

  - ### setStates

    public void setStates(List<JobState> states)
    The list of states which the jobs should be searched for.

  - ### setResults

    public void setResults(List<JobResult> results)
    The list of results which the jobs should be searched for.

  - ### setTypes

    public void setTypes(List<String> types)
    The list of types of the jobs.

  - ### setMaxVisibility

    @Deprecated public void setMaxVisibility(int maxVisibility)
    Deprecated.
    Ignored, use visible instead, this will be removed in the future.
    The maximum visibility of the job. Defaults to no limit on visibility.

  - ### setVisible

    public void setVisible(Boolean visible)
    The visibility of the jobs. Defaults to all jobs (both visible and non-visible).

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The order of sorting.

  - ### setSortField

    public void setSortField(FindJobsRequest.SortField sortField)
    The field that should be used as reference for sorting.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`